> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user by email



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/users/{email}
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/users/{email}:
    get:
      tags:
        - client-api-user-rest-resource
      summary: Get user by email
      operationId: getUserByEmail
      parameters:
        - name: email
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
components:
  schemas:
    User:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        businessUnit:
          type: string

````